Bug 98182 - Bad: Some of the messages from an executable in rc.sysinit do not appear in /var/log/messages
Bad: Some of the messages from an executable in rc.sysinit do not appear in /...
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: sysklogd (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-27 12:11 EDT by Bharavi Oak
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-24 19:32:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bharavi Oak 2003-06-27 12:11:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows NT; DigExt)

Description of problem:
If an executable in called in rc.sysinit file. The executable logs 4 messages 
using syslog C function calls. But only two of these four messages appear 
in /var/log/messages file. The other two messages are lost.

Version-Release number of selected component (if applicable):
sysklogd-1.4.1-4

How reproducible:
Always

Steps to Reproduce:
1. Create an executable with 4 calls to "syslog" C function.
2. Add call of that executable in rc.sysinit (just before LVM initialization 
step)
3.Reboot the system
    

Actual Results:  Opened /var/log/messages file and searched for all 4 messages 
from the executable. Only two of the messages could be found. The first and 
second message were found, that too on on a single line. The third and fourth 
message were lost.

Expected Results:  All the 4 messages from the executable should have been 
found in /var/log/messages file.

Additional info:

On Red Hat Advanced Server 2.1, it is observed that in the same situation, only 
the alternate messages appear in /var/log/messages. The first and third message 
appear but the second and fourth message is lost.
Comment 1 Jason Vas Dias 2004-08-24 19:32:59 EDT
Just clearing out old bugs here.
Messages logged with syslog before the /var filesystem is mounted
read/write will not appear in /var/log/messages ; that is why
we use initlog before this point in rc.sysinit.
This problem does not appear to be current with syslogd-1.4.1-22 .

Note You need to log in before you can comment on or make changes to this bug.